Bug 28823 - не работают выключение/перезагрузка
: не работают выключение/перезагрузка
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/e17)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
: regression
:
: 29168
  Show dependency tree
 
Reported: 2013-04-09 20:28 by
Modified: 2013-07-09 19:31 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2013-04-09 20:28:10
После "исправления" bug 28291 требуемая функциональность более не работает (см.
http://nightly.altlinux.org/sisyphus/snapshots/20130409/regular-e17-20130409-i586.iso
или завтрашнюю сборку, если чудо не успеет случиться):

Apr 09 14:12:07 localhost.localdomain dbus-daemon[943]: dbus[943]: [system]
Rejected send message, 2 matched rules; type="method_call", sender=":1.27"
(uid=500 pid=2898 comm="systemctl reboot ")
interface="org.freedesktop.systemd1.Manager" member="StartUnit" error
name="(unset)" requested_reply="0" destination="org.freedesktop.systemd1"
(uid=0 pid=1 comm="/sbin/init ")
Apr 09 14:12:07 localhost.localdomain dbus[943]: [system] Rejected send
message, 2 matched rules; type="method_call", sender=":1.27" (uid=500 pid=2898
comm="systemctl reboot ") interface="org.freedesktop.systemd1.Manager"
member="StartUnit" error name="(unset)" requested_reply="0"
destination="org.freedesktop.systemd1" (uid=0 pid=1 comm="/sbin/init ")
------- Comment #1 From 2013-04-09 20:52:57 -------
empower должен быть запущен в сессии.
------- Comment #2 From 2013-04-09 22:49:13 -------
Как это предлагается организовывать в livecd?  Если через skel-файлик, было бы
неплохо упаковать его подпакетом к empower, дабы не переизобретать из профиля в
профиль.
------- Comment #3 From 2013-04-10 14:31:11 -------
(In reply to comment #2)
> Как это предлагается организовывать в livecd?  Если через skel-файлик, было бы
> неплохо упаковать его подпакетом к empower, дабы не переизобретать из профиля в
> профиль.

В 0.17.1-alt4 запускается через starte17.
------- Comment #4 From 2013-04-10 14:51:19 -------
(In reply to comment #3)
> В 0.17.1-alt4 запускается через starte17.
Спасибо, посмотрю ещё разик на железе -- именно эта сборка попала в
http://nightly.altlinux.org/sisyphus/snapshots/20130410/regular-e17-20130410-i586.iso
------- Comment #5 From 2013-04-10 20:05:43 -------
(In reply to comment #4)
> > В 0.17.1-alt4 запускается через starte17.
Жаль, что не в фоне.

> regular-e17-20130410-i586.iso
...получился инновационным десктопом из одного empower, отзываю образ.
------- Comment #6 From 2013-04-10 20:24:05 -------
Чего-чего?
------- Comment #7 From 2013-04-10 20:28:53 -------
(In reply to comment #6)
> Чего-чего?

-[ -d /run/systemd/seats ] && /usr/bin/empower
+[ -d /run/systemd/seats ] && /usr/bin/empower &
------- Comment #8 From 2013-04-10 20:31:22 -------
(In reply to comment #7)
> (In reply to comment #6)
> > Чего-чего?
> 
> -[ -d /run/systemd/seats ] && /usr/bin/empower
> +[ -d /run/systemd/seats ] && /usr/bin/empower &

сам оторвется.
------- Comment #9 From 2013-04-10 23:57:24 -------
e17-1:0.17.2.1-alt1 -> sisyphus:

* Wed Apr 10 2013 Yuri N. Sedunov <aris@altlinux> 1:0.17.2.1-alt1
- 0.17.2.1
- starte17: run empower in background (ALT #28823)
------- Comment #10 From 2013-04-11 01:29:13 -------
(В ответ на комментарий №8)
> сам оторвется.
Если б он ещё об этом знал... исошку пришлось отзывать.

Спасибо.
------- Comment #11 From 2013-04-11 15:43:20 -------
Исправление e17-0.17.2.1-alt1 проверкой в составе regular-e17 подтверждаю,
спасибо.

Про sysvinit повешу отдельно и позже -- видимо, надо будет всё-таки control
оформить.  У себя пока захолдил.
------- Comment #12 From 2013-04-11 17:05:23 -------
В sysactions.conf есть закомментированные  строчки для console-kit. Можешь
проверить/переписать и фантазировать на предмет отдельного sysactions.conf под
sysvinit самостоятельно.